<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Dashboard extends NA_Controller
{
    function __construct()
    {
        parent::__construct();

        // Make sure that user is authenticated no matter what page they are on
        require_install();
        if (!$this->ion_auth->logged_in()) { redirect('login'); }
    }

    // Logs out user
    function logout()
    {
        //log the user out
        $logout = $this->ion_auth->logout();

        //redirect them to the login page
        $this->session->set_flashdata('message', $this->ion_auth->messages());
        redirect('login', 'refresh');
    }

    // Basic dashboard
    public function index()
    {
        $js = array('/js/vizhelpers.js');
        $this->init_page('Dashboard', 'dashboard', $js);

        $this->load->view('dashboard', $this->data);
    }

    // Basic user profile (can't do much here - requires auth to change certain things)
    // - for api key mostly
    public function profile()
    {
        $this->init_page('My Profile', 'profile');

        $this->data['user'] = $this->ion_auth->user()->row();

        $this->load->view('profile', $this->data);
    }

    public function newkey()
    {
        // Generate a new API key
        $newkey = sha1(uniqid() . 'nnaapikey');

        // Update new key in database
        $user_id = $this->session->userdata('user_id');
        $verify_user_id = $this->input->post('user_id_verify', TRUE);

        if ($user_id == $verify_user_id) {
            // Update the new api key
            $this->db->where('id', $user_id);
            $this->db->update(DB_TABLE_USERS, array('apikey' => $newkey));
        }

        // Set session data
        $this->session->set_userdata('apikey', $newkey);

        redirect('profile');
    }

    public function setlanguage()
    {
        $language = $this->input->post('language');

        // Update db
        //$this->db->

        // Update session
        $this->session->set_userdata('language', $language);
    }
}
