<div width='100%'>
    <ul class='thumbnails'>
        <li>
            <div class='thumbnail' style='width:300px;'>
                <div id='relationaltarget' class='queryrender'>
                    <div class='reportviz-throbber'>
                        <div class='valign-throbber centerme'>
                            <img src='/nagiosna/media/images/ajax-loader.gif'>
                        </div>
                    </div>
                </div>
                <a class='btn btn-small fullscreen-button' id='queryvizfullscreener' data='#relationaltarget'><i class='icon-resize-full'></i></a>
                <p id='queryviztitle' class='muted'>Relational Mapping</p>
            </div>
        </li>
    </ul>
</div>
<script>
$(document).ready(function() {
    
    make_chord(600, 900, 'Relational Mapping');
    
    $('.fullscreen-button').click(function() {
        resize_to_fullscreen(this);
    });
    
});

function make_chord(h, w, title)
{

    var r1 = h / 2,
        r0 = r1 - 80;
    
    
    var fill = d3.scale.category20c();
    
    var chord = d3.layout.chord()
        .padding(.04)
        .sortSubgroups(d3.descending)
        .sortChords(d3.descending);

    var arc = d3.svg.arc()
        .innerRadius(r0)
        .outerRadius(r0 + 20);
    
    var svg = d3.select("#relationaltarget").append("svg:svg")
        .attr("viewBox", "0 0 " + w + " " + h)
        .attr("width", "100%")
        .attr("height", "100%")
      .append("svg:g")
        .attr("transform", "translate(" + w / 2 + "," + h / 2 + ")");
    
    d3.json('<?php echo "{$apiurl}?{$apiquery}"; ?>', function(imports) {
    
    console.log(imports);
    
      if(imports.names.length == 1 && imports.names[0] == 'Other') {
          $('#relationaltarget').children('.reportviz-throbber').hide();
          $('#relationaltarget').html('<p style="margin-top:40px;" class="text-center">No data</p>');
          return;
      }
    
      var indexByName = {},
          nameByIndex = {},
          matrix = imports.matrix,
          labels = imports.names,
          denote = imports.denote,
          n = 0;

      self.names = [];

      // Returns the Flare package name for the given class name.
      function name(name) {
        return name.substring(0, name.lastIndexOf(".")).substring(6);
      }

      // Compute a unique index for each package name.
      labels.forEach(function(d) {
        if (!(d in indexByName)) {
          nameByIndex[n] = d;
          indexByName[d] = n++;
          names.push(d);
        }
      });

      chord.matrix(matrix);

      var g = svg.selectAll("g.group")
          .data(chord.groups)
        .enter().append("svg:g")
          .attr("class", "group")
          .on("mouseover", fade(.02))
          .on("mouseout", fade(.80));

      g.append("svg:path")
          .style("stroke", function(d) { return fill(d.index); })
          .style("fill", function(d) { return fill(d.index); })
          .attr("d", arc);

      g.append("svg:text")
          .each(function(d) { d.angle = (d.startAngle + d.endAngle) / 2; })
          .attr("dy", ".35em")
          .attr("text-anchor", function(d) { return d.angle > Math.PI ? "end" : null; })
          .attr("transform", function(d) {
            return "rotate(" + (d.angle * 180 / Math.PI - 90) + ")"
                + "translate(" + (r0 + 26) + ")"
                + (d.angle > Math.PI ? "rotate(180)" : "");
          })
          .text(function(d) { return nameByIndex[d.index]; })
          .style(function(d) { return "color", "red" });

      svg.selectAll("path.chord")
          .data(chord.chords)
        .enter().append("svg:path")
          .attr("class", "chord")
          .style("stroke", function(d) { return d3.rgb(fill(d.source.index)).darker(); })
          .style("fill", function(d) { return fill(d.source.index); })
          .attr("d", d3.svg.chord().radius(r0));
      
      $('#relationaltarget').children('.reportviz-throbber').hide();

    });

    // Returns an event handler for fading a given chord group.
    function fade(opacity) {
      return function(d, i) {
        svg.selectAll("path.chord")
            .filter(function(d) { return d.source.index != i && d.target.index != i; })
          .transition()
            .style("stroke-opacity", opacity)
            .style("fill-opacity", opacity);
      };
    }
}

function resize_to_fullscreen(node) {
    
    var div_id = $(node).attr('data');
    var w = $(window).width();
    $(div_id).addClass('front-and-center');
    $(div_id).addClass('well');
    
    $(div_id).animate({
        top: 20,
        left: ((w - 900) / 2)
    });
    
    $(div_id).prepend('<span id="graph-title"><a id="make-normal-size" onclick="resize_to_normal(\'' + div_id + '\')" class="btn"><i class="icon-resize-small"></i></a>&nbsp;Relational Mapping</span>');
}

function resize_to_normal(div_id) {
    $(div_id).animate({ top:12, 
                        left:0
    })
    .removeClass('front-and-center')
    .removeClass('well')
    .children('span#graph-title').each(function(i,d) { $(d).remove(); });
}

</script>
