<?php echo $header; ?>

<ul class="breadcrumb">
    <li class="active">Help</li>
</ul>

<div class="container">
    <div class="row-fluid">
    	<div class="span2 offset1">
            <div>
                <h4>Help Resources</h4>
                <ul class="nav nav-tabs nav-stacked">
                    <li><a href="http://support.nagios.com/wiki/" target="_new">Support Wiki</a></li>
                    <li><a href="http://support.nagios.com/forum/" target="_new">Support Forum</a></li>
                    <li><a href="http://library.nagios.com" target="_new">Nagios Library</a></li>
                </ul>
                <h4>Documentation Guides</h4>
                <ul class="nav nav-tabs nav-stacked">
                    <li><a href="http://assets.nagios.com/downloads/nagios-network-analyzer/guides/nna-ag/">Administrator Guide</a></li>
                    <!-- <li><a href="">User Guide</a></li> -->
                </ul>
            </div>
    	</div>
        <div class="span8">
            <h2>Getting Started With Nagios Network Analyzer</h2>
            <p>The purpose of this help section is to get you started using Nagios Network Analyzer (NNA) and to direct you to documents, forums, and customer support if further help is needed. We have provided links to some of those areas along the left side.</p>
            <p>To get started using NNA we have a quick 2 step setup process to start collecting flow data.</p>
            <h3>Step 1: Create a Flow Data Sender</h3>
            <p>To start using NNA you'll need to have a flow data sender. A sender can be anything that will send flow data to an IP/Port using one of the flow types supported by NNA such as NetFlow or sFlow. If you don't already have senders set up, take a look at the help document(s) for the support netflow senders and how to set them up on switches, routers, windows, linux, vmware, and more.</p>
            <p>Understanding flow data: <a href="">Different flow data types and what is supported by NNA</a></p>
            <p>
                How to set up flow data senders:
                <ul>
                    <li><a href="">Routers/Switches</a></i>
                    <li><a href="">Windows</a></li>
                    <li><a href="">Linux</a></li>
                    <li><a href="">VMWare</a></li>
                </ul>
            </p>
            <p>Once you have flow data being generated and sent to the NNA IP address, we can create sources to capture that data and store it.</p>
            <h3>Step 2: Create a Source</h3>
            <p>Creating a source in NNA is pretty self explanitory but we will go over it quickly because there are a few parts that need to be pointed out since they may not be familiar with you. Start off by heading over to the sources tab. Click on the create source button above the table. Note that only admins can create or edit sources. Some of thsese noticeable points on this page are shown below.</p>
            <p><strong>Source Name:</strong> Source names must be unique, and may not be changed once set.</p>
            <p><strong>Sender IP Address:</strong> Must be unique and valid. The IP address of the flow data sender.</p>
            <p><strong>Listening Port:</strong> Ports must be unique, and must be a port over 1024. Each sender will need to be configured to send to a seperate port.</p>
            <p><strong>Incoming Flow Type:</strong> The type of flow data being recieved.</p>
            <p><strong>Raw Data Lifetime:</strong> This value sets that length of time for granular data to be saved. This option was added to save disk space. In extreme conditions, sources can gather over 10GB of data in a day. This amount of data is so large that we compress and aggregate the data after the data lifetime to effectively keep the disk usage in check. The longer the data lifetime the longer you'll have granular data but the more disk space you'll use.</p>
            <p>That's all. Once created you can stop/start the source at any time to stop or start the collection of data.</p>
        </div>
    </div>
</div>


<?php echo $footer; ?>
